Subject: Re: [RFC 3/3] powerpc: Add DTS file for the Motorola PrPMC2800 platform

From: David Gibson <[email-masked]>
Date: Thu, 29 Mar 2007 11:56:56 +1000

On Thu, Mar 29, 2007 at 02:48:47AM +0200, Segher Boessenkool wrote:
> > That does seem like a lot.  The only thing that should need
> > virtual-reg properties is serial ports.  In fact, specifically, only
> > serial ports that the zImage is actually expected to use.
> >
> > In fact, with Scott's addition of xlate_reg() to the bootwrapper,
> > virtual-reg should only be needed on systems that enter the zImage
> > with MMU on.
> 
> Even then, you can just query the MMU structures to
> find out the currently set up translations for that
> physical address.  Way more robust.
> 
> The only valid reason to use "virtual-reg" is as a
> hack to map some device to get some debug output out.

That's exactly what it's for.  Getting serial output as early as
possible.  It shouldn't be used for anything else.

> If for normal usage you can't be bothered to parse
> the current translations, you probably shouldn't be
> doing anything as "advanced" as device I/O either --
> just boot the kernel and let it handle it ;-)
> 
> That said, I sure hope the kernel isn't using this
> property as well...

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson